%global commit abeb3e9156b553d2e8f5ebbc8b3df833f531ce0f

Name:           lv2-fabla
Version:        1.3.2
Release:        %mkrel -c git20181216 2
Summary:        An LV2 drum sampler
Group:          Sound/Midi
License:        GPLv2+
URL:            http://openavproductions.com/fabla/
Source0:        https://github.com/harryhaaren/openAV-Fabla/archive/%{commit}.zip
Patch0:         lv2-fabla-1.3.2-fix-compatibility-with-lv2-1.18.patch
BuildRequires:  pkgconfig(ntk)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  cmake
Requires:       lv2

%description
%{name} is a drum sampler plugin instrument. It is ideal for loading up your
favorite sampled sounds and bashing away on a MIDI controller. Or if it’s
crafty beat programming your after that’s cool too! The ADSR envelope allows
the shaping of hi-hats and kicks while the compressor beefs up the sound for
those thumping kicks!
Additional presets can be found at:
   https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Fabla-%{commit}
%autopatch -p1
sed -i -e  's|lib/|%{_lib}/|g'  -e 's|\-Wall|%{optflags}|g' CMakeLists.txt
%ifnarch %{ix86} x86_64
sed -i -e 's|-msse2 -mfpmath=sse||g' CMakeLists.txt
%endif

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_libdir}/lv2

%cmake_install

%files
%doc README.md CHANGELOG LICENSE
%{_libdir}/lv2/*


%changelog
* Sun Jul 26 2020 daviddavid <daviddavid> 1.3.2-0.git20181216.2.mga8
+ Revision: 1609030
- add patch to fix build with lv2 1.18

* Sun Feb 23 2020 daviddavid <daviddavid> 1.3.2-0.git20181216.1.mga8
+ Revision: 1549674
- new version: 1.3.2-git20181216

* Thu Feb 13 2020 daviddavid <daviddavid> 1.3-0.git20170505.3.mga8
+ Revision: 1515027
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-0.git20170505.2.mga7
+ Revision: 1299390
- Mageia 7 Mass Rebuild

* Fri May 05 2017 animtim <animtim> 1.3-0.git20170505.1.mga6
+ Revision: 1099201
- update and adapt to mageia
- imported package lv2-fabla


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-0.4.20150303gitcfbd4b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.3-0.3.20150303gitcfbd4b3
- Disable SSE on all non x86(-64) architectures - rhbz#1220294
- Change order of CMakeLists.txt mangling to keep /usr/lib for hardening rules file.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-0.2.20150303gitcfbd4b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Brendan Jones <brendan.jones.it@gmail.com> 1.3-0.1.gitcfbd4b36
- Update to latest git 

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1-4.3.20131003git5f2cb26
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.3.20131003git5f2cb26
- Remove additional presets, update description

* Fri Oct 25 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.2.20101003git5f2cb26
- Remove durtySouth kit

* Sun Oct 13 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.1.20131003git5f2cb26
- Clean up git URLs and sources
- Split presets into separate package

* Tue Sep 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.1.gite8fb937
- Initial package

